﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LunaQuest
{
    class Program
    {
        static void Main(string[] args)
        {
            // Terminal Parameters
            Console.OutputEncoding = Encoding.UTF8;
            Console.WindowHeight = 40;
            Console.WindowWidth = 86;
            Console.Title = "Luna Quest";

            // Starting Parameters
            Globals.gameMenu = true;

            // Bool responsible for looping the game elements
            while (Globals.gameLoop == true)
            {
                if (Globals.gameMenu == true)
                {
                    Menu();
                }

                if (Globals.gameIntroduction == true)
                {
                    Introduction();
                }

                if (Globals.gameTown == true)
                {
                    Town();
                }

                if (Globals.gameStatistics == true)
                {
                    Statistics();
                }

                if (Globals.gameTavern == true)
                {
                    Tavern();
                }

                if (Globals.gameDeath == true)
                {
                    Death();
                }

                if (Globals.gameAdventure == true)
                {
                    Adventure();
                }

                if (Globals.gameDungeon == true)
                {
                    Dungeon();
                }


            }
            Console.ReadKey();
        }

        static void Menu()
        {
            Reset();
            Console.Clear();
            Console.ForegroundColor = ConsoleColor.Green;

            Console.WriteLine(@"          Luna ASCII from https://asciiman.neocities.org/MLP.html by Mattia          ");
            Console.WriteLine(@"                                                                                     ");
            Console.WriteLine(@"                                                .,                                   ");
            Console.WriteLine(@"                                               / :                                   ");
            Console.WriteLine(@"                                              / :---..                               ");
            Console.WriteLine(@"                                       .^.,-`/  :     `.                             ");
            Console.WriteLine(@"                                   .-``| 'j./  :''-.   )                             ");
            Console.WriteLine(@"                                ..`-'`(..-./  :'    \  |                             ");
            Console.WriteLine(@"                               ( ,\'``        '-  .  | `._   _.---.                  ");
            Console.WriteLine(@"                               |(  '`-..__      `.   (    ```_._   \                 ");
            Console.WriteLine(@"                              (( `.(.---. ``\    )    `-..-'`   \   )                ");
            Console.WriteLine(@"                              |(```:``'-.\  /   .'            .  : (                 ");
            Console.WriteLine(@"   .-..-.                     |(`. (  ((WW)''--'  *       x      (  `..,__           ");
            Console.WriteLine(@"  (   \  \          _.._.--.  ( \|  '. \`,|  `.                   `-_     `-         ");
            Console.WriteLine(@"   '   '._`-._..-'``__  `-. '. \ |    `'--'  ..7               .     ``-..  \        ");
            Console.WriteLine(@"    '.    ```   /```  `'.  \  \ \|   `-.-~-.`-/      *          ___       )  |   .   ");
            Console.WriteLine(@"   .-.:>.       \__.     '. \  \ '      (`'.`' `-..        .-'`..--._-._.'   `--'|   ");
            Console.WriteLine(@"  (               (   .    . \  \)       \  `'._   `--..-'_.-'`      `'-.____..-'    ");
            Console.WriteLine(@"    `'-._           `'(__.   : \ /''-.     \     ```''''```                          ");
            Console.WriteLine(@"        .7               (_. (  \'``\ `'---'\                                        ");
            Console.WriteLine(@"      .'     ,                \  '-  \ ._)`. )       Luna Quest                      ");
            Console.WriteLine(@"      \__--':     .     .      `'     \ -..'/        by Nokturne                     ");
            Console.WriteLine(@"           /    ,:    ,/\   /\__.   . .`'--`                                         ");
            Console.WriteLine(@"           '--'`  `--'   `'  /      |  : /|.-'```''.                                 ");
            Console.WriteLine(@"                            /       |  |` |.-'``-.  `-.                              ");
            Console.WriteLine(@"                           /        |  :  (   .  x`-   )                             ");
            Console.WriteLine(@"                         .'_  ()  .'|  '.  '        ) (  ..--.                       ");
            Console.WriteLine(@"                        ( ..`L_  / \|   :   '.      `-.`'  .-.`.__                   ");
            Console.WriteLine(@"                        (( C`  )\   (    \    \  .   * `--' ,.)   ``.                ");
            Console.WriteLine(@"                         \`'` )o )./-\    \.-.(\ .-.      .'. .-'``/                 ");
            Console.WriteLine(@"                         (`--',./.-''-:. -( \)  `.-._'---'  .'                       ");
            Console.WriteLine(@"                          `-._        _(`.:  \-...)  ``'''``                         ");
            Console.WriteLine(@"                              `''''=:_`   |---'                                      ");
            Console.WriteLine(@"                                      ````                                           ");
            Console.WriteLine(@"                                                                                     ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.WriteLine("Press Enter to start the game.");
            Console.ForegroundColor = ConsoleColor.White;

            while (Console.ReadKey().Key != ConsoleKey.Enter)
            {
                Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                // "clears" one line in the console, found it on https://stackoverflow.com/questions/8946808/can-console-clear-be-used-to-only-clear-a-line-instead-of-whole-console
            }
            Console.Clear();
            Globals.gameMenu = false;
            Globals.gameIntroduction = true;

        }

        static void Death()
        {
            Console.WriteLine();
            Console.WriteLine("You died, lol. Luna turned you into a statue or something. Try again.");
            Console.ReadKey();
            Globals.gameDeath = false;
            Globals.gameMenu = true;
        }

        static void Introduction()
        {
            Console.Write("You are a noble knight called ");
            Console.ForegroundColor = ConsoleColor.DarkGreen;
            Console.Write("Anon Y Mousse");
            Console.ForegroundColor = ConsoleColor.White;
            Console.Write(" on a heroic quest to save Princess Luna \nfrom the evil sorcerer ");
            Console.ForegroundColor = ConsoleColor.DarkRed;
            Console.Write("Haber");
            Console.ForegroundColor = ConsoleColor.White;
            Console.Write(".");

            Console.WriteLine();
            Console.WriteLine();

            Console.WriteLine("Before venturing to the dungeon where Luna is trapped, you need to make yourself \nstronger.");
            Console.WriteLine();
            Console.WriteLine("You gain experience by adventuring and fighting monsters.");
            Console.WriteLine();
            Console.WriteLine("Going to a tavern allows you to either buy potions or sleep, replenishing \nyour health in the process.");
            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.WriteLine("Press Enter to start your adventure!");
            Console.ForegroundColor = ConsoleColor.White;

            while (Console.ReadKey().Key != ConsoleKey.Enter)
            {
                Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
            }
            Console.Clear();
            Globals.gameIntroduction = false;
            Globals.gameTown = true;



        }

        static void Town()
        {
            Console.ForegroundColor = ConsoleColor.Green;

            Console.WriteLine(@"                                   /\                                                ");
            Console.WriteLine(@"                              /\  //\\                                            // ");
            Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
            Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
            Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
            Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
            Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
            Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^   ^  ^   ^   ____  ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
            Console.WriteLine(@"     / ^ ^  ^ \ ^ ooooo_________________|  |_____^ ^  \  / ^  ^/\ *   ^   \/  ^      ");
            Console.WriteLine(@"    / ^^  ^ ^ ^\ ooo~ooo_________________________\ ^ ^ \/   ^    /|\  ^ ^ / ^  ^ ^   ");
            Console.WriteLine(@"   /  ^  ^^ ^ ^ oo~oooooo_________________________\  ^  \  ^    /||o\    /    ^      ");
            Console.WriteLine(@"  /^ ^  ^ ^^  ^ oooooo~oo|___|   __   |___|__|  |        \ ^   /|o|||\   ^        ^  ");
            Console.WriteLine(@" / ^   ^   ^    ^oo~oooo_|___|  |  |  |___|__|  |         \   /|||||o|\   ^   ^    ^ ");
            Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^  ooooo         |  |            |^  ^ ^ ^  ^ /||o||||||\ ^ ^  ^  ^   ");
            Console.WriteLine(@".    ,     ,    .  | |  .   .    ##       ,     .        ,       | |   ,      .    , ");
            Console.WriteLine(@" ,   .,    .   .   | |,  ,     .    ,       . .     ,  ,   ,    .| |.   ,   .   .    ");
            Console.WriteLine(@",    ,   .   ,  .  | |.   ,    .   .    ,    .   .  ,    .    .   ,    .    .  .     ");
            Console.WriteLine(@",    , ,     .    ,| |  .     .     ,    ,  .    .     . ,     ,     .     .   .  , ,");
            Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

            Console.ForegroundColor = ConsoleColor.DarkYellow;

            Console.WriteLine();
            Console.WriteLine("You find yourself in a town. What do you want to do?");

            Console.ForegroundColor = ConsoleColor.White;

            Console.WriteLine();
            Console.WriteLine("1. Go to the tavern.");
            Console.WriteLine("2. Go on an adventure.");
            Console.WriteLine("3. Go to the dungeon.");
            Console.WriteLine("4. Check your character statisticts.");

            switch (Console.ReadKey().Key)
            {
                case ConsoleKey.D1:
                case ConsoleKey.NumPad1:
                    Globals.gameTown = false;
                    Globals.gameTavern = true;
                    Console.Clear();
                    break;

                case ConsoleKey.D2:
                case ConsoleKey.NumPad2:
                    Globals.gameTown = false;
                    Globals.gameAdventure = true;
                    Console.Clear();
                    break;

                case ConsoleKey.D3:
                case ConsoleKey.NumPad3:
                    Globals.gameTown = false;
                    Globals.gameDungeon = true;
                    break;

                case ConsoleKey.D4:
                case ConsoleKey.NumPad4:
                    Globals.gameTown = false;
                    Globals.gameStatistics = true;
                    Console.Clear();
                    break;

                default:
                    Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                    Console.Clear(); // I have honestly no idea why it prints out the ASCII again when I press an invalid key, but this is a workaround.
                    break;
            }


        }

        static void Dungeon()
        {
            if (Globals.level < 3)
            {
                Globals.gameDungeon = false;
                Globals.gameTown = true;
                Console.Clear();
                Console.WriteLine("You are too weak for the dungeon. Come back after reaching level 3.");
            }
            else
            {
                Console.Clear();
                Console.ForegroundColor = ConsoleColor.Green;
                Console.WriteLine(@".             .          .               .                .               .          ");
                Console.WriteLine(@"                                                                                     ");
                Console.WriteLine(@"                          /                                                          ");
                Console.WriteLine(@"       .           *     /      .  .         +          .         .              .   ");
                Console.WriteLine(@"                        /                                                            ");
                Console.WriteLine(@"                       *                                                             ");
                Console.WriteLine(@"  *         +          .        .             *             .             +          ");
                Console.WriteLine(@"                                   ________________                                  ");
                Console.WriteLine(@"                                   |    _______   |                                  ");
                Console.WriteLine(@"                                   |    |     |   |  please pretend it's a dungeon,  ");
                Console.WriteLine(@"                                   |    |_____|   |  it's the 8th hour in a row I'm  ");
                Console.WriteLine(@"                                   |              |  working on this project and my  ");
                Console.WriteLine(@"                                   |              |  brain is fried                  ");
                Console.WriteLine(@"                                   |              |                    <*>           ");
                Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,|            ");
                Console.WriteLine(@" ,   . O   .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   |\O   .   .  ");
                Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .  |\         ");
                Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .   /\  .  , ,  ");
                Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                Console.ForegroundColor = ConsoleColor.DarkYellow;
                Console.WriteLine();
                Console.WriteLine("This is it! The final battle against Haber.");
                Console.ForegroundColor = ConsoleColor.White;

                Globals.inCombat = true;

                Random numberGen = new Random();

                Globals.enemyMaxHp = 50;
                Globals.enemyCurrentHp = Globals.enemyMaxHp;

                while (Globals.enemyCurrentHp > 0 && Globals.currentHp > 0 && Globals.inCombat == true)
                {

                    Console.WriteLine();

                    Console.ForegroundColor = ConsoleColor.White;

                    Console.WriteLine("1. Attack");

                    if (Globals.potions > 0 && Globals.currentHp < Globals.maxHp)
                    {
                        Console.WriteLine("2. Drink a potion");
                    }

                    switch (Console.ReadKey().Key)
                    {
                        case ConsoleKey.D1:
                        case ConsoleKey.NumPad1:
                            int damageDealt = numberGen.Next(2, 5);
                            int damageReceived = numberGen.Next(3, 6);
                            Globals.enemyCurrentHp -= damageDealt;
                            Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                            Console.WriteLine();
                            Console.WriteLine("You hit the enemy for " + damageDealt + " damage. \nHis current HP: " + Globals.enemyCurrentHp + " / " + Globals.enemyMaxHp);
                            if (Globals.enemyCurrentHp > 0)
                            {
                                Globals.currentHp -= damageReceived;
                                Console.WriteLine("Enemy hit you for " + damageReceived + " damage. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                            }

                            break;

                        case ConsoleKey.D2:
                        case ConsoleKey.NumPad2:
                            Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                            if (Globals.potions > 0 && Globals.currentHp != Globals.maxHp)
                            {
                                DrinkPotion();
                                Console.WriteLine();
                                Console.WriteLine("You drank a potion and recovered some health. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                                int damageReceived2 = numberGen.Next(1, 4);
                                Globals.currentHp -= damageReceived2;
                                Console.WriteLine("Enemy hit you for " + damageReceived2 + " damage. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                                Console.WriteLine();
                            }
                            else
                            {
                                Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                            }
                            break;

                        default:
                            Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                            break;


                    }

                }

                if (Globals.enemyCurrentHp <= 0 && Globals.currentHp > 0 && Globals.inCombat == true)
                {
                    Globals.inCombat = false;
                    Console.WriteLine();
                    Console.WriteLine("Congratulations! You managed to defeat Haber.");
                    Console.WriteLine("Press Enter to see the ending.");
                    Console.ForegroundColor = ConsoleColor.White;

                    while (Console.ReadKey().Key != ConsoleKey.Enter)
                    {
                        Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                    }
                    Console.Clear();

                    Console.WriteLine(@".             .          .               .                .               .          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                          /                                                          ");
                    Console.WriteLine(@"       .           *     /      .  .         +          .         .              .   ");
                    Console.WriteLine(@"                        /                                                            ");
                    Console.WriteLine(@"                       *                                                             ");
                    Console.WriteLine(@"  *         +          .        .             *             .             +          ");
                    Console.WriteLine(@"                                   ________________                                  ");
                    Console.WriteLine(@"                                   |    _______   |                                  ");
                    Console.WriteLine(@"   You and Luna lived happily ever |    |     |   |                                  ");
                    Console.WriteLine(@"   after. She made you immortal or |    |_____|   |            THE END               ");
                    Console.WriteLine(@"   something idk it was a happy    |              |        Thanks for playing!       ");
                    Console.WriteLine(@"   ending                          |              |                                  ");
                    Console.WriteLine(@"                                   |              |                                  ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O _  .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .         .   . ");
                    Console.WriteLine(@",    ,/|\.\___*  ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .         ");
                    Console.WriteLine(@",    ,/ \ /\ /\  .    ,     .     .     ,    ,  .    .     . ,     ,     .       .   ");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    while (Console.ReadKey().Key != ConsoleKey.Enter)
                    {
                        Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                    }
                    Console.Clear();

                    Globals.gameDungeon = false;
                    Globals.gameMenu = true;

                }
                if (Globals.currentHp <= 0)
                {
                    Death();
                }

            }
        }

        static void Statistics()
        {
            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Level: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.level);
            Console.ForegroundColor = ConsoleColor.White;

            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Experience: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.currentExp + "/" + Globals.maxExp);
            Console.ForegroundColor = ConsoleColor.White;

            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Health: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.currentHp + "/" + Globals.maxHp);

            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Gold: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.gold);

            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Potions: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.potions);

            Console.WriteLine();
            Console.WriteLine();

            Console.WriteLine("Press Enter to go back to town.");
            Console.ForegroundColor = ConsoleColor.White;

            while (Console.ReadKey().Key != ConsoleKey.Enter)
            {
                Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
            }

            Console.Clear();
            Globals.gameStatistics = false;
            Globals.gameTown = true;
        }

        static void Tavern()
        {
            Console.ForegroundColor = ConsoleColor.Green;
            Console.WriteLine("Budget ran out when trying to make the tavern ASCII art. \nPlease use your imagination instead.");

            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.WriteLine("You entered the tavern. What do you want to do?");
            Console.ForegroundColor = ConsoleColor.White;
            Console.Write("Current gold: ");
            Console.ForegroundColor = ConsoleColor.DarkYellow;
            Console.Write(Globals.gold);

            Console.WriteLine();
            Console.WriteLine();

            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("1. Buy a potion (3 gold).");
            Console.WriteLine("2. Go to sleep (1 gold).");
            Console.WriteLine("3. Return back to the town.");

            switch (Console.ReadKey().Key)
            {
                case ConsoleKey.D1:
                case ConsoleKey.NumPad1:
                    if (Globals.gold >= 3)
                    {
                        Globals.gold -= 3;
                        Globals.potions += 1;
                        Console.Clear();
                        Console.WriteLine("You bought a potion. Current gold: " + Globals.gold);
                        Console.WriteLine();
                    }
                    else
                    {
                        Console.Clear();
                        Console.WriteLine("You can't afford it! Current gold: " + Globals.gold);
                        Console.WriteLine();
                    }
                    break;

                case ConsoleKey.D2:
                case ConsoleKey.NumPad2:
                    if (Globals.gold >= 1)
                    {
                        Globals.gold -= 1;
                        Globals.currentHp = Globals.maxHp;
                        Console.Clear();
                        Console.WriteLine("You went to sleep and regenerated your wounds. Current gold: " + Globals.gold);
                        Console.WriteLine();
                    }
                    else
                    {
                        Console.Clear();
                        Console.WriteLine("You can't afford it! Current gold: " + Globals.gold);
                        Console.WriteLine();
                    }
                    break;

                case ConsoleKey.D3:
                case ConsoleKey.NumPad3:
                    Globals.gameTavern = false;
                    Globals.gameTown = true;
                    Console.Clear();
                    break;

                default:
                    Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                    Console.Clear();
                    break;

            }
        }

        static void DrinkPotion()
        {
            Globals.potions -= 1;
            Globals.currentHp += 5;

            if (Globals.currentHp > Globals.maxHp)
            {
                Globals.currentHp = Globals.maxHp;
            }
        }

        static void Reset()
        {
            Globals.gameMenu = false;
            Globals.gameIntroduction = false;
            Globals.gameTown = false;
            Globals.gameTavern = false;
            Globals.gameAdventure = false;
            Globals.gameDungeon = false;
            Globals.gameStatistics = false;
            Globals.gameDeath = false;
            Globals.inCombat = false;

            Globals.level = 1;
            Globals.maxHp = 5 + (Globals.level * 5);
            Globals.currentHp = 5 + (Globals.level * 5);
            Globals.currentExp = 0;
            Globals.maxExp = 3 + (Globals.level * 3);
            Globals.gold = 5;
            Globals.potions = 1;
        }

        static void Adventure()
        {
            Random numberGen = new Random();

            // This is the only way I know of to have both different stages and enemies possible. Of course, it's pretty stupid. But hey, it works!
            switch (numberGen.Next(1, 10))
            {
                case 1:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^ ooooo  ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\ *   ^   \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ooo~ooo  / ^   ^     ^ /^     ^   ^ ^ \/   ^    /|\  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ oo~oooooo/ ^      ^    / ^   ^ ^  ^  ^  \  ^    /||o\    /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^ oooooo~oo  ^     ^   ^/     ^ ^  ^ ^     \ ^   /|o|||\   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^oo~oooo     ^    ^  /   ^     ^      ^   \   /|||||o|\   ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^  ooooo    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  ^ /||o||||||\ ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .  | |  .   .    .  ,     ,     .        ,       | |   ,             ");
                    Console.WriteLine(@" ,   . O   .   .   | |,  ,     .    ,       . .     ,  ,   ,    .| |.   ,   _        ");
                    Console.WriteLine(@",    ,/|\.   ,  .  | |.   ,    .   .    ,    .   .  ,    .    .   ,    .     \___-   ");
                    Console.WriteLine(@",    ,/ \    .    ,| |  .     .     ,    ,  .    .     . ,     ,     .     . /\ /\   ");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Changeling";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 2:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^   \    ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\    ^    \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ^   \    / ^   ^     ^ /^     ^   ^ ^ \/   ^    \ ^  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ \  ^  \  / ^      ^    / ^   ^ ^  ^  ^  \  ^  ^   \   ^  /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^  \     \/  ^     ^   ^/     ^ ^  ^ ^     \ ^   ^ ^ \ ^   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^ \  ^ /     ^    ^  /   ^     ^      ^   \ ^ ^ ^ ^ \  ^  ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^   \  /    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  \  ^  ^  ^\   ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   . _        ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .    .\___-   ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .     . /\ /\   ");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Changeling";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 3:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@".             .          .               .                .               .          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                          /                                                          ");
                    Console.WriteLine(@"       .           *     /      .  .         +          .         .              .   ");
                    Console.WriteLine(@"                        /                                                            ");
                    Console.WriteLine(@"                       *                                                             ");
                    Console.WriteLine(@"  *         +          .        .             *             .             +          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   . _        ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .    .\___-   ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .     . /\ /\   ");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Changeling";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 4:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^ ooooo  ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\ *   ^   \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ooo~ooo  / ^   ^     ^ /^     ^   ^ ^ \/   ^    /|\  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ oo~oooooo/ ^      ^    / ^   ^ ^  ^  ^  \  ^    /||o\    /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^ oooooo~oo  ^     ^   ^/     ^ ^  ^ ^     \ ^   /|o|||\   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^oo~oooo     ^    ^  /   ^     ^      ^   \   /|||||o|\   ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^  ooooo    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  ^ /||o||||||\ ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .  | |  .   .    .  ,     ,     .        ,       | |   ,             ");
                    Console.WriteLine(@" ,   . O   .   .   | |,  ,     .    ,       . .     ,  ,   ,    .| |.   ,   .   .    ");
                    Console.WriteLine(@",    ,/|\.   ,  .  | |.   ,    .   .    ,    .   .  ,    .    .   ,    .             ");
                    Console.WriteLine(@",    ,/ \    .    ,| |  .     .     ,    ,  .    .     . ,     ,     .   <O>   .  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Parasprite";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 5:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^   \    ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\    ^    \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ^   \    / ^   ^     ^ /^     ^   ^ ^ \/   ^    \ ^  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ \  ^  \  / ^      ^    / ^   ^ ^  ^  ^  \  ^  ^   \   ^  /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^  \     \/  ^     ^   ^/     ^ ^  ^ ^     \ ^   ^ ^ \ ^   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^ \  ^ /     ^    ^  /   ^     ^      ^   \ ^ ^ ^ ^ \  ^  ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^   \  /    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  \  ^  ^  ^\   ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   .   .      ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .             ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .   <O>   .  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Parasprite";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 6:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@".             .          .               .                .               .          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                          /                                                          ");
                    Console.WriteLine(@"       .           *     /      .  .         +          .         .              .   ");
                    Console.WriteLine(@"                        /                                                            ");
                    Console.WriteLine(@"                       *                                                             ");
                    Console.WriteLine(@"  *         +          .        .             *             .             +          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O   .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   .   .    ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    .             ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .   <O>   .  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Parasprite";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 7:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^ ooooo  ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\ *   ^   \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ooo~ooo  / ^   ^     ^ /^     ^   ^ ^ \/   ^    /|\  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ oo~oooooo/ ^      ^    / ^   ^ ^  ^  ^  \  ^    /||o\    /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^ oooooo~oo  ^     ^   ^/     ^ ^  ^ ^     \ ^   /|o|||\   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^oo~oooo     ^    ^  /   ^     ^      ^   \   /|||||o|\   ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^  ooooo    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  ^ /||o||||||\ ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .  | |  .   .    .  ,     ,     .        ,       | |   ,             ");
                    Console.WriteLine(@" ,   . O   .   .   | |,  ,     .    ,       . .     ,  ,   ,    .| |.   ,   .   .    ");
                    Console.WriteLine(@",    ,/|\.   ,  .  | |.   ,    .   .    ,    .   .  ,    .    .   ,    _             ");
                    Console.WriteLine(@",    ,/ \    .    ,| |  .     .     ,    ,  .    .     . ,     ,     .  \__--__.  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Snake";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 8:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@"                                   /\                                                ");
                    Console.WriteLine(@"                              /\  //\\                                            // ");
                    Console.WriteLine(@"                       /\    //\\///\\\        /\                                /// ");
                    Console.WriteLine(@"                      //\\  ///\////\\\\  /\  //\\                  /\          //// ");
                    Console.WriteLine(@"         /\          /  ^ \/^ ^/^  ^  ^ \/^ \/  ^ \                //\\        /^    ");
                    Console.WriteLine(@"        / ^\    /\  / ^   /  ^/ ^ ^ ^   ^\ ^/  ^^  \        /\    /^   \      /      ");
                    Console.WriteLine(@"       /^   \  / ^\/ ^ ^   ^ / ^  ^    ^  \/ ^   ^  \      /  \  /   ^  \    /   ^   ");
                    Console.WriteLine(@"      /  ^ ^ \/^  ^\ ^ ^ ^  /^  ^   ^     /   ^   ^  \    /^ ^ \/  ^   ^ \  /   ^    ");
                    Console.WriteLine(@"     / ^ ^  ^ \ ^   \    ^ /     ^    ^  /  ^    ^ ^  \  / ^  ^/\    ^    \/  ^      ");
                    Console.WriteLine(@"    / ^^  ^ ^ ^\ ^   \    / ^   ^     ^ /^     ^   ^ ^ \/   ^    \ ^  ^ ^ / ^  ^ ^   ");
                    Console.WriteLine(@"   /  ^  ^^ ^ ^ \  ^  \  / ^      ^    / ^   ^ ^  ^  ^  \  ^  ^   \   ^  /    ^      ");
                    Console.WriteLine(@"  /^ ^  ^ ^^  ^  \     \/  ^     ^   ^/     ^ ^  ^ ^     \ ^   ^ ^ \ ^   ^        ^  ");
                    Console.WriteLine(@" / ^   ^   ^    ^ \  ^ /     ^    ^  /   ^     ^      ^   \ ^ ^ ^ ^ \  ^  ^   ^    ^ ");
                    Console.WriteLine(@"/ ^ ^ ^  ^  ^  ^   \  /    ^   ^  ^ /  ^   ^   ^ ^  ^ ^ ^  \  ^  ^  ^\   ^ ^  ^  ^   ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   .   .      ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    _             ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .  \__--__.  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Snake";
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Combat();
                    break;

                case 9:
                    Console.ForegroundColor = ConsoleColor.Green;

                    Console.WriteLine(@".             .          .               .                .               .          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                          /                                                          ");
                    Console.WriteLine(@"       .           *     /      .  .         +          .         .              .   ");
                    Console.WriteLine(@"                        /                                                            ");
                    Console.WriteLine(@"                       *                                                             ");
                    Console.WriteLine(@"  *         +          .        .             *             .             +          ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@"                                                                                     ");
                    Console.WriteLine(@".    ,     ,    .       .   .    .  ,     ,     .        ,             ,             ");
                    Console.WriteLine(@" ,   . O   .   .      ,  ,     .    ,       . .     ,  ,   ,    .   .   ,   .   .    ");
                    Console.WriteLine(@",    ,/|\.   ,  .     .   ,    .   .    ,    .   .  ,    .    .   ,    _             ");
                    Console.WriteLine(@",    ,/ \    .    ,     .     .     ,    ,  .    .     . ,     ,     .  \__--__.  , ,");
                    Console.WriteLine(@" .   ,    .    ,    .     ,    .     ,   ,    .    ,    .    ,    ,    .   ,   ,    .");

                    Globals.enemyName = "Snake";
                    Console.WriteLine();
                    Console.ForegroundColor = ConsoleColor.DarkYellow;
                    Console.WriteLine("You've encountered a " + Globals.enemyName + "! What do you want to do?");
                    Console.ForegroundColor = ConsoleColor.White;
                    Combat();
                    break;

                default:
                    Console.WriteLine("Something went wrong.");
                    break;
            }

        }

        static void Combat()
        {
            Globals.inCombat = true;

            Random numberGen = new Random();
            Console.ForegroundColor = ConsoleColor.DarkYellow;

            Globals.enemyMaxHp = numberGen.Next(5, 11);
            Globals.enemyCurrentHp = Globals.enemyMaxHp;

            while (Globals.enemyCurrentHp > 0 && Globals.currentHp > 0 && Globals.inCombat == true)
            {

                Console.WriteLine();

                Console.ForegroundColor = ConsoleColor.White;

                Console.WriteLine("1. Attack");

                if (Globals.potions > 0 && Globals.currentHp < Globals.maxHp)
                {
                    Console.WriteLine("2. Drink a potion");
                }

                switch (Console.ReadKey().Key)
                {
                    case ConsoleKey.D1:
                    case ConsoleKey.NumPad1:
                        int damageDealt = numberGen.Next(2, 5);
                        int damageReceived = numberGen.Next(2, 4);
                        Globals.enemyCurrentHp -= damageDealt;
                        Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                        Console.WriteLine();
                        Console.WriteLine("You hit the enemy for " + damageDealt + " damage. \nHis current HP: " + Globals.enemyCurrentHp + " / " + Globals.enemyMaxHp);
                        if (Globals.enemyCurrentHp > 0)
                        {
                            Globals.currentHp -= damageReceived;
                            Console.WriteLine("Enemy hit you for " + damageReceived + " damage. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                        }

                        break;

                    case ConsoleKey.D2:
                    case ConsoleKey.NumPad2:
                        Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                        if (Globals.potions > 0 && Globals.currentHp != Globals.maxHp)
                        {
                            DrinkPotion();
                            Console.WriteLine();
                            Console.WriteLine("You drank a potion and recovered some health. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                            int damageReceived2 = numberGen.Next(1, 4);
                            Globals.currentHp -= damageReceived2;
                            Console.WriteLine("Enemy hit you for " + damageReceived2 + " damage. \nYour current HP: " + Globals.currentHp + " / " + Globals.maxHp);
                            Console.WriteLine();
                        }
                        else
                        {
                            Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                        }
                        break;

                    default:
                        Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                        break;


                }

            }

            if (Globals.enemyCurrentHp <= 0 && Globals.currentHp > 0 && Globals.inCombat == true)
            {
                Globals.inCombat = false;
                Globals.gameAdventure = false;
                Globals.gameTown = true;
                Globals.goldEarned = numberGen.Next(2, 5);
                Globals.gold += Globals.goldEarned;
                Globals.expEarned = numberGen.Next(2, 5);
                Globals.currentExp += Globals.expEarned;
                Console.WriteLine();
                Console.WriteLine("You defeated your enemy!");
                Console.WriteLine("You earned " + Globals.goldEarned + " gold and " + Globals.expEarned + " experience.");

                LevelUp();

                Console.WriteLine();
                Console.ForegroundColor = ConsoleColor.DarkYellow;
                Console.WriteLine("Press Enter to go back to the town.");
                Console.ForegroundColor = ConsoleColor.White;
                while (Console.ReadKey().Key != ConsoleKey.Enter)
                {
                    Console.Write("\r" + new string(' ', Console.WindowWidth - 1) + "\r");
                }
                Console.Clear();
            }

            if (Globals.currentHp <= 0)
            {
                Death();
            }

        }

        static void LevelUp()
        {
            if (Globals.currentExp > Globals.maxExp)
            {
                Globals.level++;
                Console.WriteLine();
                Console.WriteLine("Level Up! Your current level is: " + Globals.level);
                Globals.maxHp = 5 + (Globals.level * 5);
                Globals.currentHp = 5 + (Globals.level * 5);
                Globals.currentExp = 0;
                Globals.maxExp = 3 + (Globals.level * 3);
            }
        }

    }

    // Class for global variables
    static class Globals

    {
        public static bool gameLoop = true;
        public static bool gameMenu = false;
        public static bool gameIntroduction = false;
        public static bool gameTown = false;
        public static bool gameTavern = false;
        public static bool gameAdventure = false;
        public static bool gameDungeon = false;
        public static bool gameStatistics = false;
        public static bool gameDeath = false;
        public static bool inCombat = false;


        public static int level = 1;
        public static int maxHp = 5 + (level * 5);
        public static int currentHp = 5 + (level * 5);
        public static int currentExp = 0;
        public static int maxExp = 3 + (level * 3);
        public static int gold = 5;
        public static int potions = 1;
        public static int enemyMaxHp;
        public static int enemyCurrentHp;
        public static int goldEarned;
        public static int expEarned;

        public static string enemyName;
    }
}
